{{page-title "Reset password" }}

{{#if this.session.isAuthenticated}}
  <div class="container pt-5">
    <h1>You are already logged in.</h1>
    <p>
      <LinkTo @route="index" class="nav-link">Go to the main page</LinkTo>
    </p>
  </div>
{{else if this.fastboot.isFastBoot}}
  <LoadingContainer />
{{else}}
  <div class="container pt-5">
    <div class="row">
      <div class="col-sm-5">
        <h2>
          {{capitalize (t "reset password")}}
        </h2>

        <div class="body-container mb-3 mt-3">
          {{#if this.hasEmailAndToken}}
            <Input::NewPassword @newPassword1={{this.newPassword}} @onChange={{this.change}} @onValidationChange={{this.validationChange}} />

            <Input::Button class="btn btn-secondary btn-submit" @action={{this.changePassword}} @disabled={{this.isNotValid}}>
              {{capitalize (t "reset password")}}
            </Input::Button>
          {{else}}
            <div class="mb-3">
              <label for="identification">{{capitalize (t "e-mail")}}</label>
              <Input class="form-control" id="identification" @type="email" placeholder={{capitalize (t "enter your e-mail")}} required={{true}} @value={{this.userEmail}} />
            </div>

            <Input::Button class="btn btn-secondary btn-submit" @action={{this.resetPassword}}>
              {{capitalize (t "reset password")}}
            </Input::Button>
          {{/if}}

          <p class="mt-5">
            {{capitalize (t "already have an account?")}}
            <LinkTo @route="login.index">{{capitalize (t "sign in")}}</LinkTo>.
          </p>
        </div>
      </div>
    </div>
  </div>
{{/if}}
